@import "../colors";

$header-height: 7vh;

.sidenav-container {
  height: 100%;
}

.sidenav {
  width: 200px;
  background-color: mat-color($primary, 700);
  color: white;
}

.sidenav .mat-list-item {
  color: inherit;
}

.sidenav .mat-toolbar {
  height: $header-height;
  background: mat-color($primary);
  color: inherit;
  text-align: center;
}

.mat-toolbar.mat-primary {
  @include mat-elevation(3);
  z-index: 3;

  height: $header-height;
  min-height: 40px;

  position: sticky;
  top: 0;

  .logo {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    margin: 0 auto;
    display: flex;
    align-items: center;
    height: 100%;
    img {
      height: 80%;
      margin-right: 5px;
    }
  }
}

.default-content-padding {
  padding: 20px;
  width: 100%;

  //a really fancy way of saying "calc(100% - $header-height), but necessary because of Sass.
  min-height: unquote("calc(100% - #{$header-height})");

  overflow-y: auto;
}

@media only screen and (min-width: 480px) {
  .default-content-padding {
    height: 100vh - $header-height;
    padding: 20px 15vw;
    width: 100%;
  }
}

mat-button-toggle-group {
  font-size: 14px;
}


mat-button-toggle {
  color: white;
  background-color: mat-color($primary);
}

.mat-button-toggle-checked {
  color: mat-color($primary);
  background-color: white;
}
